=== debian/changelog ===
mauiman (4.0.2+p24.04+vstable+git20250916.2327-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:27:02 +0000

mauiman (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 01:28:09 +0000

mauiman (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Dec 2024 08:56:21 +0000

mauiman (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Aug 2023 15:21:15 +1000

mauiman (3.1.0-0neon) jammy; urgency=medium

  * New release
 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 01:28:10 +0000

mauiman (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Aug 2023 15:21:15 +1000

mauiman (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 01:28:05 +0000

mauiman (1.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 01:28:07 +0000

mauiman (1.0.1-0neon) jammy; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 19 Feb 2023 06:13:50 +1000
