=== debian/changelog ===
mauiman (4.0.2+p24.04+vstable+git20250925.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:44:01 +0000
