=== debian/control ===
Source: mauiman
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               ninja-build,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://maui-project.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauiman.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauiman
Maintainer: Neon CI <neon@kde.org>

Package: mauiman
Architecture: any
Depends: libmauiman, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains the mauiman server and dbus activation.

Package: libmauiman
Architecture: any
Depends: cask-server, mauiman, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains the mauiman library.

Package: mauiman-dev
Architecture: any
Depends: libmauiman, qt6-base-dev, ${misc:Depends}, ${shlibs:Depends}
Description: Maui Manager Library for MAUI Apps.
 This package contains mauiman development files
